ioctl FE_DISEQC_SEND_BURST
&manvol;

# FE_DISEQC_SEND_BURST

Sends a 22KHz tone burst for 2x1 mini DiSEqC satellite selection.

    	int ioctl
    	int fd
    	int request
    	enum fe_sec_mini_cmd *tone

## Arguments

`fd`

  &fe_fd;

`request`

  FE_DISEQC_SEND_BURST

`tone`

  pointer to &fe-sec-mini-cmd;

## Description

This ioctl is used to set the generation of a 22kHz tone burst for mini DiSEqC satellite selection for 2x1 switches. This call requires read/write permissions.

It provides support for what's specified at Digital Satellite Equipment Control (DiSEqC) - Simple "ToneBurst" Detection Circuit specification.

&return-value-dvb;

## enum fe_sec_mini_cmd

### enum fe_sec_mini_cmd

&cs-def;
ID | Description
--- | ---
`SEC_MINI_A` | Sends a mini-DiSEqC 22kHz '0' Tone Burst to select satellite-A
`SEC_MINI_B` | Sends a mini-DiSEqC 22kHz '1' Data Burst to select satellite-B